spring:
  uinddatasource:
    jdbcUrl: jdbc:mysql://localhost:3306
    username: root
    password: Utopia01
    driverClassName: com.mysql.cj.jdbc.Driver
    logbackUrl: jdbc:mysql://localhost:3306/uind_logs?serverTimezone=Asia/Karachi
    hikari:
      maximum-pool-size: 5
      minimum-idle: 5
      idle-timeout: 30000  # 30 seconds
      max-lifetime: 1800000  # 30 minutes
      connection-timeout: 30000  # 30 seconds
      leak-detection-threshold: 10000
  cosmosdatasource:
    jdbcUrl: jdbc:mysql://localhost:3307
    username: root
    password: Utopia01
    driverClassName: com.mysql.cj.jdbc.Driver
    hikari:
      maximum-pool-size: 5
      pool-name: UINDCosmosPool
      leak-detection-threshold: 2000
  localdatasource:
    jdbcUrl: jdbc:mysql://localhost:3306/cut_to_pack
    username: root
    password: Utopia01
    driverClassName: com.mysql.cj.jdbc.Driver
    hikari:
      maximum-pool-size: 5
      pool-name: CTPPool
      leak-detection-threshold: 2000

ctp:
  printer:
    ipAdd: 172.16.53.32
    port: 9100